## org.omg.Messaging
Class RoutingTypeRange

    java.lang.Object
      |
      +--org.omg.Messaging.RoutingTypeRange

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class RoutingTypeRange
extends java.lang.Object
implements IDLEntity

Struct definition : RoutingTypeRange

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`short` `max` Struct member max
`short` `min` Struct member min

Constructor Summary
`RoutingTypeRange()` Default constructor
`RoutingTypeRange(short min, short max)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### min

    public short min

  Struct member min

### max

    public short max

  Struct member max

Constructor Detail

### RoutingTypeRange

    public RoutingTypeRange()

  Default constructor

### RoutingTypeRange

    public RoutingTypeRange(short min,
                            short max)

  Constructor with fields initialization
  Parameters:
    `min` - min struct member
    `max` - max struct member